<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /Users/sdy/AVS/github/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/AbstractConnection.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.6.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AbstractConnection.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_abstract_connection_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_ABSTRACTCONNECTION_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_ABSTRACTCONNECTION_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;mutex&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;unordered_set&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_connection_status_observer_interface_8h.html">AVSCommon/SDKInterfaces/ConnectionStatusObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common.html">   26</a></span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">   27</a></span>&#160;<span class="keyword">namespace </span>avs {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html">   32</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html">AbstractConnection</a> {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a8eb9459677dcdf4d092cc9d55c5124e7">   35</a></span>&#160;    <span class="keyword">using</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">ConnectionStatusObserverInterface</a> = <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a>;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#aa65366b44e20b9f3cbecf0789343c9fd">AbstractConnection</a>(</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        std::unordered_set&lt;std::shared_ptr&lt;ConnectionStatusObserverInterface&gt;&gt; observers =</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;            std::unordered_set&lt;std::shared_ptr&lt;ConnectionStatusObserverInterface&gt;&gt;());</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#aa6516609383bedc8df32792cd9643a52">~AbstractConnection</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a0238c3189eda5bc72886a4d277a84f98">isConnected</a>() <span class="keyword">const</span> = 0;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a26bdb119b33216a74aba3479eff4afa5">addConnectionStatusObserver</a>(std::shared_ptr&lt;ConnectionStatusObserverInterface&gt; observer);</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#afed4ee9da824574e42429215a07a0e79">removeConnectionStatusObserver</a>(std::shared_ptr&lt;ConnectionStatusObserverInterface&gt; observer);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a7a66d8d7b54c97ceb5e31ef28e312d92">updateConnectionStatus</a>(</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">ConnectionStatusObserverInterface::Status</a> status,</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">ConnectionStatusObserverInterface::ChangedReason</a> reason);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#aa165c6f3dc35008c0a63a91893096c36">notifyObservers</a>();</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a702467f5c2438987bb70a009c992c95d">clearObservers</a>();</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#ae4f9ee7a1b9f39795837f6018d24b561">   93</a></span>&#160;    std::mutex <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#ae4f9ee7a1b9f39795837f6018d24b561">m_mutex</a>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a17166c3aa00055c025bc4b1410faffca">   96</a></span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">ConnectionStatusObserverInterface::Status</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a17166c3aa00055c025bc4b1410faffca">m_connectionStatus</a>;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#abe27eedd2195fe78e1dd1f6566c0e580">   99</a></span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">ConnectionStatusObserverInterface::ChangedReason</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#abe27eedd2195fe78e1dd1f6566c0e580">m_connectionChangedReason</a>;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a8c9fc433d7142dd4a91cfdc07741a401">  102</a></span>&#160;    std::unordered_set&lt;std::shared_ptr&lt;ConnectionStatusObserverInterface&gt;&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a8c9fc433d7142dd4a91cfdc07741a401">m_connectionStatusObservers</a>;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;};</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;}  <span class="comment">// namespace avs</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_ABSTRACTCONNECTION_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html_aec54cdb601e5f93a516400d99663d11e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::ChangedReason</a></div><div class="ttdeci">ChangedReason</div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:47</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_a8c9fc433d7142dd4a91cfdc07741a401"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a8c9fc433d7142dd4a91cfdc07741a401">alexaClientSDK::avsCommon::avs::AbstractConnection::m_connectionStatusObservers</a></div><div class="ttdeci">std::unordered_set&lt; std::shared_ptr&lt; ConnectionStatusObserverInterface &gt; &gt; m_connectionStatusObservers</div><div class="ttdoc">Set of observers to notify when the connection status changes. m_mutex must be acquired before access...</div><div class="ttdef"><b>Definition:</b> AbstractConnection.h:102</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_a26bdb119b33216a74aba3479eff4afa5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a26bdb119b33216a74aba3479eff4afa5">alexaClientSDK::avsCommon::avs::AbstractConnection::addConnectionStatusObserver</a></div><div class="ttdeci">void addConnectionStatusObserver(std::shared_ptr&lt; ConnectionStatusObserverInterface &gt; observer)</div><div class="ttdef"><b>Definition:</b> AbstractConnection.cpp:42</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_a17166c3aa00055c025bc4b1410faffca"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a17166c3aa00055c025bc4b1410faffca">alexaClientSDK::avsCommon::avs::AbstractConnection::m_connectionStatus</a></div><div class="ttdeci">ConnectionStatusObserverInterface::Status m_connectionStatus</div><div class="ttdoc">The current connection status. m_mutex must be acquired before access. </div><div class="ttdef"><b>Definition:</b> AbstractConnection.h:96</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html">alexaClientSDK::avsCommon::avs::AbstractConnection</a></div><div class="ttdef"><b>Definition:</b> AbstractConnection.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_a702467f5c2438987bb70a009c992c95d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a702467f5c2438987bb70a009c992c95d">alexaClientSDK::avsCommon::avs::AbstractConnection::clearObservers</a></div><div class="ttdeci">void clearObservers()</div><div class="ttdef"><b>Definition:</b> AbstractConnection.cpp:93</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_ae4f9ee7a1b9f39795837f6018d24b561"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#ae4f9ee7a1b9f39795837f6018d24b561">alexaClientSDK::avsCommon::avs::AbstractConnection::m_mutex</a></div><div class="ttdeci">std::mutex m_mutex</div><div class="ttdoc">Mutex to protect access to data members. </div><div class="ttdef"><b>Definition:</b> AbstractConnection.h:93</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_aa6516609383bedc8df32792cd9643a52"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#aa6516609383bedc8df32792cd9643a52">alexaClientSDK::avsCommon::avs::AbstractConnection::~AbstractConnection</a></div><div class="ttdeci">virtual ~AbstractConnection()=default</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_afed4ee9da824574e42429215a07a0e79"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#afed4ee9da824574e42429215a07a0e79">alexaClientSDK::avsCommon::avs::AbstractConnection::removeConnectionStatusObserver</a></div><div class="ttdeci">void removeConnectionStatusObserver(std::shared_ptr&lt; ConnectionStatusObserverInterface &gt; observer)</div><div class="ttdef"><b>Definition:</b> AbstractConnection.cpp:59</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_a7a66d8d7b54c97ceb5e31ef28e312d92"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a7a66d8d7b54c97ceb5e31ef28e312d92">alexaClientSDK::avsCommon::avs::AbstractConnection::updateConnectionStatus</a></div><div class="ttdeci">void updateConnectionStatus(ConnectionStatusObserverInterface::Status status, ConnectionStatusObserverInterface::ChangedReason reason)</div><div class="ttdef"><b>Definition:</b> AbstractConnection.cpp:70</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:36</div></div>
<div class="ttc" id="_connection_status_observer_interface_8h_html"><div class="ttname"><a href="_connection_status_observer_interface_8h.html">ConnectionStatusObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_aa65366b44e20b9f3cbecf0789343c9fd"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#aa65366b44e20b9f3cbecf0789343c9fd">alexaClientSDK::avsCommon::avs::AbstractConnection::AbstractConnection</a></div><div class="ttdeci">AbstractConnection(std::unordered_set&lt; std::shared_ptr&lt; ConnectionStatusObserverInterface &gt;&gt; observers=std::unordered_set&lt; std::shared_ptr&lt; ConnectionStatusObserverInterface &gt;&gt;())</div><div class="ttdef"><b>Definition:</b> AbstractConnection.cpp:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_abe27eedd2195fe78e1dd1f6566c0e580"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#abe27eedd2195fe78e1dd1f6566c0e580">alexaClientSDK::avsCommon::avs::AbstractConnection::m_connectionChangedReason</a></div><div class="ttdeci">ConnectionStatusObserverInterface::ChangedReason m_connectionChangedReason</div><div class="ttdoc">The reason we changed to the current connection status. m_mutex must be acquired before access...</div><div class="ttdef"><b>Definition:</b> AbstractConnection.h:99</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_a0238c3189eda5bc72886a4d277a84f98"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#a0238c3189eda5bc72886a4d277a84f98">alexaClientSDK::avsCommon::avs::AbstractConnection::isConnected</a></div><div class="ttdeci">virtual bool isConnected() const =0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html_a2e6b08990caa9d1911b01d51d92806b4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a></div><div class="ttdeci">Status</div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection_html_aa165c6f3dc35008c0a63a91893096c36"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_connection.html#aa165c6f3dc35008c0a63a91893096c36">alexaClientSDK::avsCommon::avs::AbstractConnection::notifyObservers</a></div><div class="ttdeci">void notifyObservers()</div><div class="ttdef"><b>Definition:</b> AbstractConnection.cpp:81</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.6.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
